# create\_project

<pre class="language-python"><code class="lang-python">dbnl.create_project(
    *,
    name: str,
    description: Optional[str] = None,
) -> <a data-footnote-ref href="#user-content-fn-1">Project</a>:
</code></pre>

## Parameters

<table><thead><tr><th width="185">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name for the dbnl <a href="../../sdk-objects/project">Project</a>. Project names must be unique; an error will be raised if there exists a Project with the same name. </td></tr><tr><td><code>description</code></td><td>An optional description for the dbnl Project, defaults to <code>None</code>. Description is limited to 255 characters.</td></tr></tbody></table>

## Returns

<table><thead><tr><th width="211">Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="../../sdk-objects/project">Project</a></td><td>The newly created dbnl Project.</td></tr></tbody></table>

## Examples

```python
import dbnl
dbnl.login()


proj_1 = dbnl.create_project(name="test_p1")

# DBNLConflictingProjectError: A DBNL Project with name test_p1 already exists.
proj_2 = dbnl.create_project(name="test_p1")
```

[^1]: [Project](https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-objects/project)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-functions/project/create_project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
